Public Member Functions | Public Attributes | List of all members
ClarisWksPresentationInternal::State Struct Reference

Internal: the state of a ClarisWksPresentation. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
shared_ptr< Presentation > | m_presentation
| the main presentation More...
std::map< int, shared_ptr< Presentation > > | m_presentationMap
| map zId to presentation More...

## Detailed Description

Internal: the state of a ClarisWksPresentation.

## Constructor & Destructor Documentation

## ◆ State()

ClarisWksPresentationInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_presentation

shared_ptr<Presentation> ClarisWksPresentationInternal::State::m_presentation

the main presentation

## ◆ m_presentationMap

std::map<int, shared_ptr<Presentation> > ClarisWksPresentationInternal::State::m_presentationMap

map zId to presentation

The documentation for this struct was generated from the following file:

- ClarisWksPresentation.cxx